; States file for {character} -- Hypers
;
;---------------------------------------------------------------------------
; Vars:
;   0: for Super Jump (0=vertical, 1=forward, -1=backward)
;   1: keep track of power level (for levelup sounds)
;  50: Desperation quote ("DANGER!" or whatever)
;  59: AI flag
; Helpers:
;   0: superjump opponent position indicator
; Explods:
;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
; Hyper Attacks
; 
; Hyper 1 (QCF + PP) -- state 3000
;   hyper 1
;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
; Hyper 1 -- Bedazzled
[StateDef 3000]
type    = S
physics = S
ctrl = 0
anim = 3000
velset = 0,0

[State 3000, dust]
type = Explod
trigger1 = Time = 0
anim = 918
ID = 918
bindtime = 1
removetime = -2
sprpriority = 3
removeongethit = 1

[State 3000, superpause]
type = SuperPause
trigger1 = AnimElem = 2
time = 60
sound = S10,1
pos = 20,-70
darken = 1
poweradd = -1000

;-------------------
; DCvM hyper portrait/BG
[State 3000, superportrait]
type = Explod
trigger1 = AnimElem = 2
anim = 10000
ID = 10000
pos = 0,0
postype = back
bindtime = 999
removetime = 50
supermovetime = 40
pausemovetime = 40
sprpriority = -1
ownpal = 1

;hyper background
[State 3000, portraitBG]
type = Explod
trigger1 = AnimElem = 2
anim = 10005
ID = 10005
pos = 0,0
postype = back
bindtime = 999
removetime = 70
supermove = 40
pausemovetime = 40
sprpriority = -2
ownpal = 1

[State 3000, superBG]
type = Helper
trigger1 = AnimElem = 3
name = "Super BG"
ID = 8005
stateno = 8005
postype = back
facing = 1
ownpal = 1
supermovetime = 999999
pausemovetime = 999999
ownpal = 1
; end DCvM stuff
;-------------------

; sfx
[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 3
value = S9,1

;Body Effect
[State 0, Explod]
type = Explod
trigger1 = time = 6
trigger2 = time = 35
trigger3 = time = 55
trigger4 = time = 75
trigger5 = time = 95
trigger6 = time = 115
anim = 1020
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = 5
supermove
pausemove
scale = 1,1
sprpriority = 1
ontop = 0
shadow = 0,0,0
ownpal = 0
removeongethit = 0
ontop = 1

;flash
[State 0, AllPalFX]
type = AllPalFX
trigger1 = time = 7
trigger2 = time = 17
trigger3 = time = 27
trigger4 = time = 37
trigger5 = time = 47
trigger6 = time = 57
time = 1
add = 255,255,255

;projectile
[State 0, Projectile]
type = Projectile
trigger1 = time = 15
trigger2 = time = 25
trigger3 = time = 35
trigger4 = time = 45
trigger5 = time = 55
trigger6 = time = 65
projanim = 1012
projhitanim = 1013
projremanim = 1012
projcancelanim = 1012
projscale = 1,1
projremove = 1
projremovetime = -1
velocity = 6,0
remvelocity = 0,0
accel = 0,0
velmul = 1
projhits = 1
projmiss
projpriority = 1
projsprpriority = 3
projedgebound = 40
projstagebound = 40
projheightbound = -240
attr = S, SP
damage = 50,4
hitsound = S13,0
sparkno = -1
sparkxy = 0,0
animtype = Medium
guardflag = MA
pausetime = 0,9
ground.type = Low
ground.slidetime = 14
ground.hittime  = 16
ground.velocity = -8
offset = 10,-75
postype = p1         ;p2,front,back,left,right
supermove
pausemove

[State 3110, back to stance]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
